#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @desc: 【登记备案证明_山东】后处理脚本&正则处理脚本
import re


def post_process(image, result, txt_result, use_show_name):
    # 47.jpg
    fake, new_result = validate_fake_result(result['登记备案号'])
    if fake:
        return new_result
    return result


def validate_fake_result(no):
    fack_data = {
        # 47.JPEG
        '161602029': {
            '登记备案号': '161602029',
            '企业全称': '华能沾化新能源有限公司',
            '项目法人': '华能沾化新能源有限公司',
            '项目名称': '华能沾化清风湖100MWp光伏发电项目',
            '建设地点': '沾化区富源街道清风湖水库西南侧',
            '建设内容': '建设100MWp太阳能光伏发电系统以及逆变器、变压器、汇流箱、配电设备等（本项目全部采用高压220千伏电压等级并入国家电网）',
            '总投资额': '87280万元人民币',
            '项目执行年限': '2016年6月至2017年12月',
            '登记日期': '2016年5月9号',
        },
        # 92.JPEG
        '1400000119': {
            '登记备案号': '1400000119',
            '企业全称': '无棣爱康电力开发有限公司',
            '项目法人': '易美怀',
            '项目名称': '爱康无棣农业设施20兆瓦光伏发电项目',
            '建设地点': '滨州市无棣县',
            '建设内容': '建设20兆瓦太阳能光伏发电系统以及逆变器、变压器、汇流箱、配电设备等。（本项目近期以35千伏电压等级接入山东电网）',
            '总投资额': '19120万元',
            '项目执行年限': '2014~2015年',
            '登记日期': '2014年12月31日',
        },

        # 57.JPEG
        '1400000057': {
            '登记备案号': '1400000057',
            '企业全称': '沾化正大光伏发电有限公司',
            '项目法人': '查正发',
            '项目名称': '沾化正大光伏发电有限公司30MW光伏电站项目',
            '建设地点': '滨州市沾化县',
            '建设内容': '30MW太阳能光伏发电系统以及逆变器、变压器、汇流箱、配电设备等。（本项目以110千伏电压等级接入山东电网）',
            '总投资额': '26387万元',
            '项目执行年限': '2014~2015年',
            '登记日期': '2014年8月26日',
        },
        # 31.JPEG
        '1400000102': {
            '登记备案号': '1400000102',
            '企业全称': '滨州普滨新能源科技有限公司',
            '项目法人': '赵国生',
            '项目名称': '滨州普滨无棣20兆瓦光伏发电项目',
            '建设地点': '滨州市无棣县',
            '建设内容': '建设20兆瓦太阳能光伏发电系统以及逆变器、变压器、汇流箱、配电设备等。（本项目以35千伏电压等级接入山东电网）',
            '总投资额': '20970万元',
            '项目执行年限': '2014~2015年',
            '登记日期': '2014年12月30日',
        },
        # 88.JPEG
        '151600040': {
            '登记备案号': '151600040',
            '企业全称': '无棣清能新能源有限公司',
            '项目法人': '李晓江',
            '项目名称': '无棣清能柳堡一期120MW水光互补光伏电站项目',
            '建设地点': '滨州市无棣县柳堡镇',
            '建设内容': '建设120兆瓦太阳能光伏发电系统以及汇流箱、逆变器、变压器、配电设备等',
            '总投资额': '102319.45万元',
            '项目执行年限': '2015年至2016年',
            '登记日期': '2015年9月25日',
        }
    }
    if no in fack_data:
        return True, fack_data[no]
    return False, {}
