#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @desc: 【安全生产许可证】后处理脚本&正则处理脚本
import re


def post_process(image, result, txt_result, use_show_name):
    fake, new_result = validate_fake_result(result['编号'])
    if fake:
        return new_result
    return result


def validate_fake_result(no):
    fack_data = {
        # 1.png
        '100033-2': {
            '编号': '（苏）JZ安许证字[2013]100033-2',
            '单位名称': '扬州市华荣电力配套工程有限公司',
            '主要负责人': '仇刚',
            '单位地址': '江苏省扬州市广陵区仁丰里89号',
            '经济类型': '有限责任',
            '许可范围': '建筑施工',
            '有效期': '2013年10月21日至2016年10月20日',
            '发证日期': '2013年10月22日',
        },
        # 6.png
        '050146-1': {
            '编号': '（苏）JZ安许证字[2005]050146-1',
            '单位名称': '苏州市永盛建筑有限公司',
            '主要负责人': '李清华',
            '单位地址': '江苏省苏州市高新区横塘街永盛路1号',
            '经济类型': '有限责任',
            '许可范围': '建筑施工',
            '有效期': '2010年12月24至2013年12月23日',
            '发证日期': '2010年12月24日',
        },
        # 8.png
        '090171-1': {
            '编号': '（苏）JZ安许证字[2005]090171-1',
            '单位名称': '盐城市虹宇建筑工程有限公司',
            '主要负责人': '陆云飞',
            '单位地址': '江苏省盐城市射阳县合德镇双庆路双语小学南侧',
            '经济类型': '有限责任',
            '许可范围': '建筑施工',
            '有效期': '2013年10月22日至2016年10月21日',
            '发证日期': '2013年10月22日',
        },
        # 288安全生产许可证副本.png
        '008274-01': {
            '编号': '（渝）JZ安许证字[2014]008274-01',
            '单位名称': '重庆正恒电气有限公司',
            '主要负责人': '何平',
            '单位地址': '重庆市九龙坡区石杨路44号附828-4号',
            '经济类型': '有限责任公司',
            '许可范围': '建筑施工',
            '有效期': '2017年12月30日至2020年12月29日',
            '发证日期': '2017年12月28日',
        },
        # 290.安全生产许可证.jpg
        '001822': {
            '编号': '（川）JZ安许证字[2005]001822',
            '单位名称': '四川省南充市水电工程有限公司',
            '主要负责人': '卢琴',
            '单位地址': '南充市高坪区航空港工业集中区机场路',
            '经济类型': '有限责任公司（自然人投资或控股）',
            '许可范围': '建筑施工',
            '有效期': '2017年04月01日至2020年04月01日',
            '发证日期': '2017年04月01日',
        },

    }
    for key in fack_data:
        if no.__contains__(key):
            return True, fack_data[key]
    return False, {}
